Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
nist_keywrap.cpp File Reference
`#include <botan/nist_keywrap.h>`
`#include <botan/block_cipher.h>`
`#include <botan/loadstor.h>`
`#include <botan/exceptn.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
secure_vector< uint8_t > | Botan::nist_key_unwrap (const uint8_t input[], size_t input_len, const BlockCipher &bc)
secure_vector< uint8_t > | Botan::nist_key_unwrap_padded (const uint8_t input[], size_t input_len, const BlockCipher &bc)
std::vector< uint8_t > | Botan::nist_key_wrap (const uint8_t input[], size_t input_len, const BlockCipher &bc)
std::vector< uint8_t > | Botan::nist_key_wrap_padded (const uint8_t input[], size_t input_len, const BlockCipher &bc)